## https://bugzilla.redhat.com/1197501
%undefine _hardened_build
%global build_tools 0

Name:           asis
Version:        2016
Release:        2%{?dist}
Summary:        TBD

License:        GPLv3+
URL:            http://libre.adacore.com/
Source0:        %{name}-gpl-%{version}-src.tar.gz
Patch0:         %{name}-directories.patch

BuildRequires:  gnat_util-devel gprbuild fedora-gnat-project-common
BuildRequires:  gcc-gnat
Requires:       gnat_util

# gprbuild only available on these:
ExclusiveArch: %GPRbuild_arches

%if %{build_tools}
BuildRequires:  xmada-devel gnatcoll-devel > 2016
%endif


%description
ASIS is a library that gives applications access to the complete syntactic
and semantic structure of an Ada compilation unit.
This library is typically used by tools that need to perform
some sort of static analysis on an Ada program.

%package devel
Summary:    Devel package for %{name}
License:    GPLv3+
Group:      Development/Libraries
Requires:   %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}

%prep
%autosetup -n %{name}-gpl-%{version}-src


%build
BUILDER="gprbuild -f %GPRbuild_optflags"
%make_build LIBRARY_TYPE=relocatable GPRBUILD="${BUILDER}"
%if %{build_tools}
%make_build LIBRARY_TYPE=relocatable GPRBUILD="${BUILDER}" COMPS=tools
%endif

%install
rm -rf $RPM_BUILD_ROOT
export I_LIB=%{buildroot}/%{_libdir}
export I_PRJ=%{buildroot}/%{_GNAT_project_dir}
%make_install prefix=%{buildroot}/%{_prefix} GPRINSTALL="gprinstall  --link-lib-subdir=${I_LIB}"

## We don't use manifest nor plan to use them
rm -rf %{buildroot}/%{_GNAT_project_dir}/manifests

## GPS is not packaged (yet?)
rm -rf %{buildroot}/%{_datadir}/gps

%files
%license COPYING3
%doc README 
%{_bindir}/asistant
%{_docdir}/%{name}

%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}
%{_GNAT_project_dir}/%{name}.gpr



%changelog
* Wed Apr 19 2017 Pavel Zhukov <pavel@zhukoff.net> - 2016.1
- Initial build
